<?php

include_once($_SESSION['sys']['basedir'].'/lib/overview_utils.php');

if (empty($_SESSION['overview_kosten.year'])) $_SESSION['overview_kosten.year'] = 0;

$mask = array(
	      'table' => 'einsatz',
	      'title' => 'Kostenaufwand für Kostenstellen',
	      'join' => array(
			      'einsatzpersonal ON einsatzpersonal.einsatz = einsatz.id',
			      'einsatzgeraete ON einsatzgeraete.einsatz = einsatz.id',
			      'personal ON einsatzpersonal.personal = personal.id',
			      'gerate ON einsatzgeraete.geraet = gerate.id',
			      'anbaugeraete ON einsatzgeraete.anbaugeraet = anbaugeraete.id',
			      'arbeitsarten ON einsatz.arbeiten = arbeitsarten.id',
			      'gebiet ON einsatz.gebiet = gebiet.id',
			      'kostenstellen ON einsatz.kostenstelle = kostenstellen.id',
			      ),
	      'where' => "arbeitsarten.arbeitsart <> 'Urlaub' AND arbeitsarten.arbeitsart <> 'Krank' AND arbeitsarten.arbeitsart <> 'Sonstige Fehltage'"
		       . " AND date_part('year', datum) = " . $_SESSION['overview_kosten.year']
		       . " GROUP BY einsatz.id,gebiet.gebiet,kostenstellen.kostenstelle,kostenstellen.id,personal.name,personal.vorname,gerate.geraet,laenge",
	      'select' => array(
				'title' => 'Auswahl',
				'options' => discover_years(),
				'default' => 'Jahr wählen',
				'selected' => $_SESSION['overview_kosten.year'],
				'onchange' => "setvar(this,'year',select_year_calback,select_year_status)",
				),
	      'variables' => array(
				   'year' => array(),
				   ),
 	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    'width' => 60,
					    'sql' => 'einsatz.id',
					    ),
			      'gebiet' => array(
					    'name' => 'Gebiet',
					    'sql' => "gebiet.gebiet",
					    'width' => 150,
					    'specs' => "filterUI: 's'",
					    ),
			      'kostenstelle' => array(
					    'name' => 'Kostenstelle',
					    'sql' => "kostenstellen.kostenstelle",
					    'width' => 250,
					    'specs' => "filterUI: 's'",
					    ),
			      'personal' => array(
					    'name' => 'Mitarbeiter',
					    'sql' => "personal.vorname || ' ' || personal.name",
					    'width' => 150,
					    'specs' => "filterUI: 's'",
					    ),
			      'geraet' => array(
					    'name' => 'Gerät',
					    'sql' => "gerate.geraet",
					    'width' => 150,
					    'specs' => "filterUI: 's'",
					    ),
			      'laenge' => array(
					    'name' => 'Länge',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 70,
					    ),
			      'personalkosten' => array(
					    'name' => 'Mitarbeiterkosten',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 90,
					    'sql' => 'sum(einsatzpersonal.stunden * personal.persstdsatz)',
					    ),
			      'geraetkosten' => array(
					    'name' => 'Gerätkosten',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 90,
					    'sql' => 'sum(einsatzgeraete.stunden * gerate.geraetkst_intern + ' .
						     'einsatzgeraete.stunden * anbaugeraete.anbkst_intern)',
					    ),
			      'gesamtkosten' => array(
					    'name' => 'Gesamtkosten',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 90,
					    'sql' => 'sum(einsatzpersonal.stunden * personal.persstdsatz + ' . 
						     'einsatzgeraete.stunden * gerate.geraetkst_intern + ' .
						     'einsatzgeraete.stunden * anbaugeraete.anbkst_intern)',
					    ),
			      'prolfdm' => array(
					    'name' => 'pro lfdm',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 60,
					    'sql' => 'sum(einsatzpersonal.stunden * personal.persstdsatz + ' . 
						     'einsatzgeraete.stunden * gerate.geraetkst_intern + ' .
						     'einsatzgeraete.stunden * anbaugeraete.anbkst_intern) / laenge',
					    ),
			      ),
	      );

?>
